#ifndef CACHE_H
#define CACHE_H

#include "db_access.h"

#define CACHE_PAGE_SIZE 65536
#define CACHE_PAGE_COUNT 256


typedef struct cache_page_t cache_page_t;

struct cache_page_t
{
	db_interval_t inter;
	db_data_t* ptr;
	cache_page_t* next;
	cache_page_t* prev;
	int page_size;
	int data;
};


typedef struct 
{
	int page_size;
	int page_count;
	db_data_t* cache;
	cache_page_t* head;
	cache_page_t* tail;
} cache_t;


int cache_init(cache_t *cache, int page_size_byte, int page_count);
void cache_free(cache_t *cache);

#endif
